org.springframework.cloud.dataflow.server.repository

## Interface DataflowTaskExecutionMetadataDao

- All Known Implementing Classes:
    JdbcDataflowTaskExecutionMetadataDao

      public interface DataflowTaskExecutionMetadataDao

  Data access object used for manipulating task manifests
  Since:
    2.3
  Author:
    Michael Minella

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteManifestsByTaskExecutionIds(Set<Long> taskExecutionIds)` Deletes the task manifest records associated with the collection of task execution ids provided.
    `TaskManifest` | `findManifestById(Long id)` Returns the manifest for the given execution id.
    `TaskManifest` | `getLatestManifest(String taskName)` Returns the manifest for the most recently launched instance of the task name requested.
    `void` | `save(org.springframework.cloud.task.repository.TaskExecution taskExecution, TaskManifest manifest)` Saves a `TaskManifest` related to the supplied `TaskExecution`

- - ### Method Detail

    - #### save

          void save(org.springframework.cloud.task.repository.TaskExecution taskExecution,
                    TaskManifest manifest)

      Saves a `TaskManifest` related to the supplied `TaskExecution`
      Parameters:
        `taskExecution` - execution this manifest is associated with
        `manifest` - manifest

    - #### getLatestManifest

          TaskManifest getLatestManifest(String taskName)

      Returns the manifest for the most recently launched instance of the task name requested.
      Parameters:
        `taskName` - name of task defintion
      Returns:
        `TaskManifest`

    - #### findManifestById

          TaskManifest findManifestById(Long id)

      Returns the manifest for the given execution id.
      Parameters:
        `id` - execution id
      Returns:
        `TaskManifest`

    - #### deleteManifestsByTaskExecutionIds

          int deleteManifestsByTaskExecutionIds(Set<Long> taskExecutionIds)

      Deletes the task manifest records associated with the collection of task execution ids provided.
      Parameters:
        `taskExecutionIds` - collection of ids to delete the manifests for
      Returns:
        number of manifests deleted

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.